Bug 502785 - initial network configuration needs to block until dhcp returns
initial network configuration needs to block until dhcp returns
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Hypervisor
Classification: Retired
Component: vdsm (Show other bugs)
5.4-2.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Dan Kenigsberg
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 04:13 EDT by Dan Kenigsberg
Modified: 2017-02-26 03:12 EST (History)
6 users (show)

See Also:
Fixed In Version: vdsm-4.4-29736 sp140, rhevh 5.5-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 09:27:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2009-05-27 04:13:02 EDT
Description of problem:
addNetwork does not wait for a slow dhcp response. Therefore, network is not available when addNetwork returns. This is known and expected, but unwanted on init scripts.

We thus add a new param, blockingdhcp=true, signifying that addNetwork should block until ip address is returned from dhcp server (or until timeout).
vdsm-reg and vds-bootstrap will use this flag (while VDC should not)
Comment 1 yeylon@redhat.com 2009-08-13 05:28:06 EDT
sp183-4.4-34149

Note You need to log in before you can comment on or make changes to this bug.